#ifndef _TEST_APP
#define _TEST_APP

#include "ofMain.h"
#include "grafPlayerApp.h"
#include "grafRecorderApp.h"

enum{
MODE_PLAYER,MODE_RECORDER
};

class testApp : public ofBaseApp{

	public:

		testApp();
		~testApp();
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void resized(int w, int h);

		void changeMode();
	
        //----------- 
		grafRecorderApp		appGrafRecorder;
		grafPlayerApp		appGrafPlayer;
	
	
		//---------- application settings
        bool            bShiftOn;
        bool            bShowFrameRate;
		bool			bMouseOn;
		bool			bHomeOn;
	

        int             screenW,screenH;
        float           lastX, lastY;
		int             mouse_mode;
	
	
		int mode;
	
	
};

#endif
